import request from '@/utils/request'

// 根据url直接获取type
function getTypeFromUrl(url) {
  // 使用正则表达式或其他方法从 URL 中提取 type 参数
  const params = new URLSearchParams(url.split('?')[1]);
  return params.get('type');
}

export function getEngineeAirWallList(data) {
  data.type = getTypeFromUrl(window.location.href)
  return request({
    url: `/zdsz/engineeringAirWall/list`,
    method: 'get',
    params:data
  })
}

export function addEngineeEngineeAirWall(data) {
  return request({
    url: '/zdsz/engineeringAirWall',
    method: 'post',
    data
  })
}

export function putEngineeAirWall(id) {
  return request({
    url: `/zdsz/engineeringAirWall/${id}`,
    method: 'get',

  })
}

export function EditEngineeAirWall(data) {
  return request({
    url: '/zdsz/engineeringAirWall',
    method: 'put',
    data
  })
}

export function DelEngineeAirWall(id) {
  return request({
    url: `/zdsz/engineeringAirWall/${id}`,
    method: 'delete',
  })
}

export function QueryEngineeAirWall({id, type}) {
  // alert(`${id}`)
  // alert(`${type}`)
  return request({
    // url: `/zdsz/engineeringAirWall/${id}/${type}`,
    url: `/zdsz/engineeringAirWall/${id}/${type}`,
    method: 'get',
  })
}

export function UpdateEngineeAirWall(data) {
  console.log("UpdateEngineeAirWall=",data)
  return request({
    url: '/zdsz/engineeringAirWall/updateNodeByBo',
    method: 'put',
    data
  })
}


