import request from '@/utils/request'


export function getEngineeIndustryList(sata) {
  return request({
    url: `/zdsz/engineeringIndustry/list`,
    method: 'get',
    params:sata
  })
}

export function addEngineeEngineeIndustry(data) {
  return request({
    url: '/zdsz/engineeringIndustry',
    method: 'post',
    data
  })
}

export function putEngineeEngineeIndustry(id) {
  return request({
    url: `/zdsz/engineeringIndustry/${id}`,
    method: 'get',

  })
}

export function EditEngineeEngineeIndustry(data) {
  return request({
    url: '/zdsz/engineeringIndustry',
    method: 'put',
    data
  })
}

export function DelEngineeEngineeIndustry(id) {
  return request({
    url: `/zdsz/engineeringIndustry/${id}`,
    method: 'delete',
  })
}

export function QueryEngineeIndustry({id, type}) {
  return request({
    url: `/zdsz/engineeringIndustry/${id}/${type}`,
    method: 'get',
  })
}

export function QueryEngineeIndustrys({id, type}) {
  return request({
    url: `/zdsz/engineeringIndustry/query/${id}/${type}`,
    method: 'get',
  })
}

export function UpdateEngineeIndustry(data) {
  return request({
    url: '/zdsz/engineeringIndustry/updateNodeByBo',
    method: 'put',
    data
  })
}


