import request from '@/utils/request'

// 查询工业工程名称唯一性
export function testEnginNameUnique(data) {
  return request({
    url: `/zdsz/engineeringGY/testEnginNameUnique`,
    method: 'get',
    params: data
  })
}

export function getEngineeIndustryList(data) {
  return request({
    url: `/zdsz/engineeringGY/list`,
    method: 'get',
    params:data
  })
}

export function addEngineeEngineeIndustry(data) {
  return request({
    url: '/zdsz/engineeringGY',
    method: 'post',
    data
  })
}

export function putEngineeEngineeIndustry(id) {
  return request({
    url: `/zdsz/engineeringGY/${id}`,
    method: 'get',

  })
}

export function EditEngineeEngineeIndustry(data) {
  return request({
    url: '/zdsz/engineeringGY',
    method: 'put',
    data
  })
}

export function DelEngineeEngineeIndustry(id) {
  return request({
    url: `/zdsz/engineeringGY/${id}`,
    method: 'delete',
  })
}

export function QueryEngineeIndustry({id, type}) {
  return request({
    url: `/zdsz/engineeringGY/${id}/${type}`,
    method: 'get',
  })
}

export function QueryEngineeIndustrys({id, type}) {
  return request({
    url: `/zdsz/engineeringGY/query/${id}/${type}`,
    method: 'get',
  })
}

export function UpdateEngineeIndustry(data) {
  return request({
    url: '/zdsz/engineeringGY/updateNodeByBo',
    method: 'put',
    data
  })
}


