import request from '@/utils/request'

// 查询碰口作业列表
export function listTouchOperationEngineering(query) {
  return request({
    url: '/zdsz/touchOperationEngineering/list',
    method: 'get',
    params: query
  })
}

export function QueryTouchOperationEngineering({id, type}) {
  return request({
    url: `/zdsz/touchOperationEngineering/query/${id}/${type}`,
    method: 'get',
  })
}
// 查询碰口作业详细
export function getTouchOperationEngineering(id) {
  return request({
    url: '/zdsz/touchOperationEngineering/' + id,
    method: 'get'
  })
}

// 新增碰口作业
export function addTouchOperationEngineering(data) {
  return request({
    url: '/zdsz/touchOperationEngineering',
    method: 'post',
    data: data
  })
}

// 修改碰口作业
export function updateTouchOperationEngineering(data) {
  return request({
    url: '/zdsz/touchOperationEngineering',
    method: 'put',
    data: data
  })
}

// 删除碰口作业
export function delTouchOperationEngineering(id) {
  return request({
    url: '/zdsz/touchOperationEngineering/' + id,
    method: 'delete'
  })
}
